%define name	dchub
%define version	0.5.2
%define release	%mkrel 5
%define distsuffix plf

Name:		%{name}
Summary:	Direct Connect hub clone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://brainz.servebeer.com/dctc/
Source:		http://brainz.servebeer.com/dctc/dchub-0.5.2.tar.bz2
Requires:	dctc
BuildRequires:	glib-devel
BuildRequires:	glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
dchub is a Direct Connect hub clone. It resembles an IRC server with 
some extra features dedicated to file sharing.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep
%setup -q

%build
%configure
# the flag -fPIC is needed on amd64
%make CFLAGS+=-fPIC

%install
%makeinstall_std
%__cp -a src/xmltest %{buildroot}%{_bindir}/xmltest
(cd %{buildroot}%{_libdir}/%{name}/plugins && \
  rm -f Makefile *.c *.h)

%find_lang %{name}
echo >> %{name}.lang << EOF
%%lang(hu) %{_libdir}/%{name}/scripts/i18n/hu/LC_MESSAGES/dchub_handlers.mo
%%lang(de) %{_libdir}/%{name}/scripts/i18n/de/LC_MESSAGES/dchub_handlers.mo
%%lang(fr) %{_libdir}/%{name}/scripts/i18n/fr/LC_MESSAGES/dchub_handlers.mo
%%lang(sv) %{_libdir}/%{name}/scripts/i18n/sv/LC_MESSAGES/dchub_handlers.mo
EOF

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc NEWS README INSTALL Documentation/*
%attr(0755,root,root) %{_bindir}/dchub
%attr(0755,root,root) %{_bindir}/dchubpasswd
%attr(0755,root,root) %{_bindir}/he3
%attr(0755,root,root) %{_bindir}/xmltest
%{_datadir}/%{name}
%exclude %{_libdir}/%{name}/scripts/i18n/hu/LC_MESSAGES/dchub_handlers.mo
%exclude %{_libdir}/%{name}/scripts/i18n/de/LC_MESSAGES/dchub_handlers.mo
%exclude %{_libdir}/%{name}/scripts/i18n/fr/LC_MESSAGES/dchub_handlers.mo
%exclude %{_libdir}/%{name}/scripts/i18n/sv/LC_MESSAGES/dchub_handlers.mo
%{_libdir}/%{name}

%changelog
* Thu Sep 14 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.5.2-5plf2007.0
- Rebuild

* Wed Aug 17 2005 trem <trem@zarb.org> 0.5.2-4plf
- fix BuildRequires : devel(libxml2) -> libxml2-devel
- fix compilation on amd64 with -fPIC

* Wed Aug 17 2005 Stefan van der Eijk <stefan@zarb.org> 0.5.2-3plf
- BuildRequires
- distsuffix
- %%mkrel

* Sun Oct 24 2004 David Walluck <david@zarb.org> 0.5.2-2plf
- add reason for PLF

* Sun Oct 24 2004 David Walluck <david@zarb.org> 0.5.2-1plf
- release
